Page MenuHomePhabricator

The 2017 wikitext editor throws `this.buildRedirectSub is not a function` when making edits on redirects
Closed, ResolvedPublic

Description

When making this edit with the 2017 wikitext editor and Page Curation toolbar loaded, VE crashed at the final Publish Changes step, but still made the edit.

Stack Trace:

Uncaught (in promise) Object
load.php?debug=false&lang=en&modules=ext.CodeMirror.lib|ext.cite.visualEditor.icons|ext.kartographer.visualEditor|ext.templateData.images|ext.templateDataGenerator.ui.images|ext.visualEditor.articleTarget%2Ccore%2CdesktopArticleTarget%2Cmediawiki%2CmoduleIcons%2Cmwcore%2Cmwmeta%2Cmwtransclusion%2Cmwwikitext|mediawiki.page.gallery.styles|oojs-ui-toolbars%2Coojs-ui-widgets|oojs-ui.styles.icons-accessibility%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-layout%2Cicons-location%2Cicons-media%2Cicons-wikimedia&skin=vector&version=06mmsz9:1181 Uncaught TypeError: this.buildRedirectSub is not a function
    at VeInitMwDesktopArticleTarget.ve.init.mw.DesktopArticleTarget.setRealRedirectInterface (load.php?debug=false&lang=en&modules=ext.CodeMirror.lib|ext.cite.visualEditor.icons|ext.kartographer.visualEditor|ext.templateData.images|ext.templateDataGenerator.ui.images|ext.visualEditor.articleTarget%2Ccore%2CdesktopArticleTarget%2Cmediawiki%2CmoduleIcons%2Cmwcore%2Cmwmeta%2Cmwtransclusion%2Cmwwikitext|mediawiki.page.gallery.styles|oojs-ui-toolbars%2Coojs-ui-widgets|oojs-ui.styles.icons-accessibility%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-layout%2Cicons-location%2Cicons-media%2Cicons-wikimedia&skin=vector&version=06mmsz9:1181)
    at VeInitMwDesktopArticleTarget.ve.init.mw.DesktopArticleTarget.replacePageContent (load.php?debug=false&lang=en&modules=ext.CodeMirror.lib|ext.cite.visualEditor.icons|ext.kartographer.visualEditor|ext.templateData.images|ext.templateDataGenerator.ui.images|ext.visualEditor.articleTarget%2Ccore%2CdesktopArticleTarget%2Cmediawiki%2CmoduleIcons%2Cmwcore%2Cmwmeta%2Cmwtransclusion%2Cmwwikitext|mediawiki.page.gallery.styles|oojs-ui-toolbars%2Coojs-ui-widgets|oojs-ui.styles.icons-accessibility%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-layout%2Cicons-location%2Cicons-media%2Cicons-wikimedia&skin=vector&version=06mmsz9:1177)
    at VeInitMwDesktopArticleTarget.ve.init.mw.DesktopArticleTarget.saveComplete (load.php?debug=false&lang=en&modules=ext.CodeMirror.lib|ext.cite.visualEditor.icons|ext.kartographer.visualEditor|ext.templateData.images|ext.templateDataGenerator.ui.images|ext.visualEditor.articleTarget%2Ccore%2CdesktopArticleTarget%2Cmediawiki%2CmoduleIcons%2Cmwcore%2Cmwmeta%2Cmwtransclusion%2Cmwwikitext|mediawiki.page.gallery.styles|oojs-ui-toolbars%2Coojs-ui-widgets|oojs-ui.styles.icons-accessibility%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-layout%2Cicons-location%2Cicons-media%2Cicons-wikimedia&skin=vector&version=06mmsz9:1168)
    at VeInitMwDesktopArticleTarget.ve.init.mw.ArticleTarget.saveSuccess (load.php?debug=false&lang=en&modules=ext.CodeMirror.lib|ext.cite.visualEditor.icons|ext.kartographer.visualEditor|ext.templateData.images|ext.templateDataGenerator.ui.images|ext.visualEditor.articleTarget%2Ccore%2CdesktopArticleTarget%2Cmediawiki%2CmoduleIcons%2Cmwcore%2Cmwmeta%2Cmwtransclusion%2Cmwwikitext|mediawiki.page.gallery.styles|oojs-ui-toolbars%2Coojs-ui-widgets|oojs-ui.styles.icons-accessibility%2Cicons-editing-core%2Cicons-editing-list%2Cicons-editing-styling%2Cicons-layout%2Cicons-location%2Cicons-media%2Cicons-wikimedia&skin=vector&version=06mmsz9:293)
    at fire (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=1nv7gwr:46)
    at Object.fireWith [as resolveWith] (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=1nv7gwr:47)
    at Object.deferred.(/wiki/anonymous function) [as resolve] (https://en.wikipedia.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%7Cmediawiki.legacy.wikibits&only=scripts&skin=vector&version=1nv7gwr:51:337)
    at Object.<anonymous> (<anonymous>:29:410)
    at fire (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=1nv7gwr:46)
    at Object.fireWith [as resolveWith] (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=1nv7gwr:47)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2018, 5:03 AM

Change 429759 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Follow-up Ib7e769e: Fix typos in static method calls

https://gerrit.wikimedia.org/r/429759

Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 429759 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Follow-up Ib7e769e: Fix typos in static method calls

https://gerrit.wikimedia.org/r/429759

TheDragonFire closed this task as Resolved.May 13 2018, 5:06 AM
Vvjjkkii renamed this task from The 2017 wikitext editor throws `this.buildRedirectSub is not a function` when making edits on redirects to 63daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Esanders; removed: gerritbot, Aklapper.
Yann renamed this task from 63daaaaaaa to The 2017 wikitext editor throws `this.buildRedirectSub is not a function` when making edits on redirects.Jul 1 2018, 12:00 PM
Yann raised the priority of this task from High to Needs Triage.
Yann assigned this task to Esanders.
Yann updated the task description. (Show Details)
Yann edited subscribers, added: gerritbot, Aklapper; removed: Esanders.
Yann closed this task as Resolved.Jul 1 2018, 12:11 PM